services:
  home-gallery:
    image: xemle/home-gallery:df666238
    container_name: Home-Gallery
    restart: unless-stopped
    command: ["serve", "--port", "3000", "--host", "0.0.0.0", "--config", "/data/config/gallery.config.yml"]
    volumes:
      - K:/Share/Photos/gallery-data:/data/config
      - K:/2026:/app/data/galleries/default:ro
    ports:
      - "0.0.0.0:3000:3000"
    environment:
      - HG_TITLE=My Photo Gallery
      - HG_ENABLE_UPLOAD=false
      - HG_ENABLE_AUTH=false
    networks:
      - default
